{% extends 'base.html' %}

{% block title %}Editer le commentaire{% endblock %}

{% block content %}
    <script type="application/javascript">
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie !== '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = cookies[i].trim();
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) === (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        var csrftoken = getCookie('csrftoken');

        const handleButton = (e) => {
            switch (e) {
                case 'cancel':
                    window.location = "{% url 'demande' reponse.demande_id %}";
                    return;
                default:
                    data = {
                        type: "comment",
                        pld: document.getElementById("commentaires").value,
                    };
                    $.ajaxSetup({
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader("X-CSRFToken", csrftoken);
                        }
                    });
                    $.post("{% url 'assign-ressource' reponse.demande_id %}", JSON.stringify(data)
                    ).done(() => {
                        console.log('ok');
                        window.location = "{% url 'demande' reponse.demande_id%}";
                    }).fail(() => {
                        alert("Erreur lors de l'envoi du formualire.")
                    });
                    return;
            }
        }
    </script>
    <div class="card" style="max-width: 1500px;margin: 1rem auto">
        <div class="card-header">
            <div class="card-title text-center">
                Edition du commentaire de {{ reponse.demande }}
            </div>
        </div>
        <div class="card-body">
            <form onsubmit="return false">
                <div class="form-group">
                    <label for="commentaires">Commentaire : </label>
                    <textarea class="form-control" id="commentaires" rows="3">{{ reponse.commentaires }}</textarea>
                </div>
                <div>
                    <button type="cancel" class="btn btn-danger" onclick="handleButton('cancel')">Annuler</button>
                    <button type="save" class="btn btn-success" onclick="handleButton('save')">Enregistrer</button></button>
                </div>
            </form>
        </div>
    </div>
{% endblock %}
